org.apache.hadoop.yarn.api.protocolrecords

## Class ReservationSubmissionRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.ReservationSubmissionRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class ReservationSubmissionRequest
      extends Object

  `ReservationSubmissionRequest` captures the set of requirements the user has to create a reservation.
  See Also:
    `ReservationDefinition`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationSubmissionRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getQueue()` Get the name of the `Plan` that corresponds to the name of the `QueueInfo` in the scheduler to which the reservation will be submitted to.
    `abstract ReservationDefinition` | `getReservationDefinition()` Get the `ReservationDefinition` representing the user constraints for this reservation
    `abstract ReservationId` | `getReservationId()` Get the reservation id that corresponds to the reservation submission.
    `static ReservationSubmissionRequest` | `newInstance(ReservationDefinition reservationDefinition, String queueName, ReservationId reservationId)`
    `abstract void` | `setQueue(String queueName)` Set the name of the `Plan` that corresponds to the name of the `QueueInfo` in the scheduler to which the reservation will be submitted to
    `abstract void` | `setReservationDefinition(ReservationDefinition reservationDefinition)` Set the `ReservationDefinition` representing the user constraints for this reservation
    `abstract void` | `setReservationId(ReservationId reservationId)` Set the reservation id that corresponds to the reservation submission.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationSubmissionRequest

          public ReservationSubmissionRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static ReservationSubmissionRequest newInstance(ReservationDefinition reservationDefinition,
                                                                                                                         String queueName,
                                                                                                                         ReservationId reservationId)

    - #### getReservationDefinition

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ReservationDefinition getReservationDefinition()

      Get the `ReservationDefinition` representing the user constraints for this reservation
      Returns:
        the reservation definition representing user constraints

    - #### setReservationDefinition

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setReservationDefinition(ReservationDefinition reservationDefinition)

      Set the `ReservationDefinition` representing the user constraints for this reservation
      Parameters:
        `reservationDefinition` - the reservation request representing the reservation

    - #### getQueue

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract String getQueue()

      Get the name of the `Plan` that corresponds to the name of the `QueueInfo` in the scheduler to which the reservation will be submitted to.
      Returns:
        the name of the `Plan` that corresponds to the name of the `QueueInfo` in the scheduler to which the reservation will be submitted to

    - #### setQueue

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setQueue(String queueName)

      Set the name of the `Plan` that corresponds to the name of the `QueueInfo` in the scheduler to which the reservation will be submitted to
      Parameters:
        `queueName` - the name of the parent `Plan` that corresponds to the name of the `QueueInfo` in the scheduler to which the reservation will be submitted to

    - #### getReservationId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ReservationId getReservationId()

      Get the reservation id that corresponds to the reservation submission.
      Returns:
        reservation id that will be used to identify the reservation submission.

    - #### setReservationId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setReservationId(ReservationId reservationId)

      Set the reservation id that corresponds to the reservation submission.
      Parameters:
        `reservationId` - reservation id that will be used to identify the reservation submission.

Copyright © 2022 Apache Software Foundation. All rights reserved.